/*
 *++
COPYRIGHT:
This file is part of the GSM Suite, a set of programs for
manipulating state machines in a graphical fashion.
Copyright (C) 1996, 1997  G. Andrew Mangogna.

LICENSE:
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

MODULE:

$RCSfile: TextWidgetStreamBuf.h,v $
$Revision: 1.4 $
$Date: 1997/07/02 04:44:56 $

ABSTRACT:

CONDITIONAL COMPILATION:

MODIFICATION HISTORY:
$Log: TextWidgetStreamBuf.h,v $
Revision 1.4  1997/07/02 04:44:56  andrewm
Added copyright and license notices to the tops of the files.

Revision 1.3  1997/02/23 23:44:09  andrewm
Checkpoint.  Things seem to be working reasonably well.

Revision 1.2  1996/09/22 01:46:34  andrewm
pre-alpha release

 * Revision 1.1  1996/07/13  19:32:43  andrewm
 * Initial revision
 *
 * Revision 1.1  1996/07/13  19:32:43  andrewm
 * Initial revision
 *
 *--
 */
#ifndef _TextWidgetStreamBuf_h_
#define _TextWidgetStreamBuf_h_

/*
PRAGMAS
*/
#ifdef __GNUG__
#	pragma interface
#endif /* __GNUG__ */

/*
INCLUDE FILES
*/
#include <iostream.h>

#include <X11/Intrinsic.h>

/*
MACRO DEFINITIONS
*/

/*
CLASS DEFINITIONS
*/

class TextWidgetStreamBuf :
	public streambuf
{
public:
	TextWidgetStreamBuf(Widget text_widget) ;

	virtual int sync() ;
	virtual int overflow(int ch) ;
	virtual streamsize xsputn(char *text, streamsize n) ;

private:
	static const int _bufsize = 256 ;

private:
	Widget _widget ;
	char _buf[_bufsize] ;

private:
	int post_to_widget(char *text, int length) ;
} ;


#endif /* _TextWidgetStreamBuf_h_ */
