/*
 *++
COPYRIGHT:
This file is part of the GSM Suite, a set of programs for
manipulating state machines in a graphical fashion.
Copyright (C) 1996, 1997  G. Andrew Mangogna.

LICENSE:
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

 *	FACILITY:
 *	ascii.h -- convenient ASCII character definitions
 *
 *	$RCSfile: ascii.h,v $
 *	$Revision: 1.2 $
 *	$Date: 1997/07/02 04:45:00 $
 *
 *	COPYRIGHT (c) 1992 by
 *	AMPEX CORPORATION, REDWOOD CITY, CALIFORNIA
 *
 *	ABSTRACT:
 *	This file contains a set of symbolic definitions for the
 *	ASCII control characters.
 *
 *	CONDITIONAL COMPILATION:
 *
 *	MODIFICATION HISTORY:
 *	$Log: ascii.h,v $
 *	Revision 1.2  1997/07/02 04:45:00  andrewm
 *	Added copyright and license notices to the tops of the files.
 *
 *	Revision 1.1  1996/12/15 05:11:07  andrewm
 *	First release of the reworked HIO library.
 *
 *	Revision 1.2  1996/09/22 01:22:33  andrewm
 *	*** empty log message ***
 *
 * Revision 1.1  1995/11/18  17:52:46  andrewm
 * Initial revision
 *
 * Revision 1.1  1995/11/18  17:52:46  andrewm
 * Initial revision
 *
 * Revision 1.1  1993/09/23  21:52:59  andrewm
 * Initial revision
 *
 *--
 */

#ifndef	_ASCII_H_
#define	_ASCII_H_


#define	ASCII_NUL	'\000'
#define	ASCII_SOH	'\001'
#define	ASCII_STX	'\002'
#define	ASCII_ETX	'\003'
#define	ASCII_EOT	'\004'
#define	ASCII_ENQ	'\005'
#define	ASCII_ACK	'\006'
#define	ASCII_BEL	'\007'
#define	ASCII_BS	'\010'
#define	ASCII_HT	'\011'
#define	ASCII_NL	'\012'
#define	ASCII_VT	'\013'
#define	ASCII_NP	'\014'
#define	ASCII_CR	'\015'
#define	ASCII_SO	'\016'
#define	ASCII_SI	'\017'
#define	ASCII_DLE	'\020'
#define	ASCII_DC1	'\021'
#define	ASCII_DC2	'\022'
#define	ASCII_DC3	'\023'
#define	ASCII_DC4	'\024'
#define	ASCII_NAK	'\025'
#define	ASCII_SYN	'\026'
#define	ASCII_ETB	'\027'
#define	ASCII_CAN	'\030'
#define	ASCII_EM	'\031'
#define	ASCII_SUB	'\032'
#define	ASCII_ESC	'\033'
#define	ASCII_FS	'\034'
#define	ASCII_GS	'\035'
#define	ASCII_RS	'\036'
#define	ASCII_US	'\037'
#define	ASCII_SP	'\040'
#define	ASCII_DEL	'\177'


#endif	/* _ASCII_H */
